unit fastfile;

interface

uses Windows;

(*==========================================================================
 *
 *  Copyright (C) 1995-1997 Microsoft Corporation.  All Rights Reserved.
 *
 *  File:       fastfile.h
 *  Content:	Definitions for fastfile access.
 *
 * THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND,
 * EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED
 * WARRANTIES OF MERCHANTBILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 ***************************************************************************)

{$Z4}
{$A+}

type
  HFASTFILE = Pointer;

function FastFileInit(fname: PAnsiChar; max_handles: Integer): BOOL;
procedure FastFileFini(Arg1: pointer);
function FastFileOpen(name: PAnsiChar): HFASTFILE;
function FastFileClose(pfe: HFASTFILE): BOOL;
function FastFileRead(pfh: HFASTFILE; ptr: Pointer; size: Integer): BOOL;
function FastFileSeek(pfe: HFASTFILE; off: Integer; how: Integer): BOOL;
function FastFileTell(pfe: HFASTFILE): Longint;
function FastFileLock(pfe: HFASTFILE; off: Integer; len: Integer):
    Pointer;
function FastFileUnlock(pfe: HFASTFILE; off: Integer; len: Integer): BOOL;

implementation

function FastFileInit; external 'fastfile.dll'
procedure FastFileFini(Arg1: pointer); external 'fastfile.dll'
function FastFileOpen; external 'fastfile.dll'
function FastFileClose; external 'fastfile.dll'
function FastFileRead; external 'fastfile.dll'
function FastFileSeek; external 'fastfile.dll'
function FastFileTell; external 'fastfile.dll'
function FastFileLock; external 'fastfile.dll'
function FastFileUnlock; external 'fastfile.dll'

end.
