
(*==========================================================================;
 *
 *  Copyright (C) 1995-1997 Microsoft Corporation.  All Rights Reserved.
 *
 *  File:	d3drm.h
 *  Content:	Direct3DRM include file
 *
 ***************************************************************************)

unit D3DRMWin;

interface

{$Z4}
{$A+}

uses Windows, DDraw, D3D, D3DRM, D3DRMObj;
                          
(*
 * GUIDS used by Direct3DRM Windows interface
 *)
 
const
  IID_IDirect3DRMWinDevice: TGUID = ( D1:$c5016cc0;D2:$d273;D3:$11ce;D4:($ac,$48,$00,$00,$c0,$38,$25,$a1)) ;

type
  IDirect3DRMWinDevice = interface ( IDirect3DRMObject )
    ['{C5016CC0-D273-11CE-AC48-0000C03825A1}']
    (*** IDirect3DRMWinDevice methods ***)
    function HandlePaint(hDC: HDC): HRESULT; stdcall;
    function HandleActivate(wparam: WORD): HRESULT; stdcall;
  end ;

implementation

end.

